Commit 2a4baca4 authored by Katia Saurfelt's avatar Katia Saurfelt
Browse files

[debian] Introduce a python{,3}-cubicweb-file binary packages

parent 255c42797e2d
......@@ -4,23 +4,44 @@ Priority: optional
Maintainer: LOGILAB S.A. (Paris, FRANCE) <contact@logilab.fr>
Build-Depends: debhelper (>= 9),
dh-python,
python (>= 2.7),
python-all,
python-setuptools,
python-pytest,
python3-all,
python3-setuptools,
python3-pytest,
Standards-Version: 4.3.0
X-Python-Version: >= 2.7
Package: cubicweb-ckeditor
Architecture: all
Section: oldlibs
Depends:
cubicweb-common (>= 3.24.0),
python-six (>= 1.4.0),
python-cubicweb-ckeditor(= ${source:Version}),
${misc:Depends}
Description: transitional package
This is a transitional package. It can safely be removed.
Package: python-cubicweb-ckeditor
Architecture: all
Section: web
Depends:
${python:Depends},
${misc:Depends},
Breaks: cubicweb-ckeditor (<< 0.2.0-2)
Replaces: cubicweb-ckeditor (<< 0.2.0-2)
Description: WYSIWYG js editor with ckeditor
CubicWeb is a semantic web application framework.
.
WYSIWYG js editor with ckeditor
CubicWeb is a semantic web framework, see http://www.cubicweb.org
Package: python3-cubicweb-ckeditor
Architecture: all
Section: web
Depends:
${python3:Depends},
${misc:Depends},
Description: WYSIWYG js editor with ckeditor
.
This package will install all the components you need to run the
cubicweb-ckeditor application (cube :)..
CubicWeb is a semantic web framework, see http://www.cubicweb.org
#!/usr/bin/make -f
export PYBUILD_NAME = cubicweb-ckeditor
export PYBUILD_OPTION = --test-pytest
%:
dh $@ --with python2 --buildsystem=pybuild
dh $@ --with python2,python3 --buildsystem=pybuild
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment